Firefox 3でエクステンションやテーマに必要な変更とは?

後藤大地(オングス)
2007-12-12 21:59:01
  • このエントリーをはてなブックマークに追加

 Firefox 3のリリースが近づいている。開発者やユーザは、エクステンションやテーマがFirefox 3でも動作するよう注意しておく必要がある。11日、Mozilla Developer Centerで改めて注意喚起された

 Firefox 2では2.0.0.xといった4区切りのバージョン番号が使われていたが、Firefox 3からは3つ区切りへ変更される。このためテーマやエクステンションの開発者は指定する番号を3つ区切り、たとえば3.0.xへと変更する必要がある。

 また、Firefox 3からはエクステンションはセキュアなアップデートチャンネルを要求するようになる。SSL経由のupdateURLを使うか、新しいupdateKeyを使う必要がある。addons.mozilla.orgを使っている場合にはこの制約は自動的にクリアされる。エクステンションやテーマの提供者はFirefox 3のリリースまでに対応されたい。

このサイトでは、利用状況の把握や広告配信などのために、Cookieなどを使用してアクセスデータを取得・利用しています。 これ以降ページを遷移した場合、Cookieなどの設定や使用に同意したことになります。
Cookieなどの設定や使用の詳細、オプトアウトについては詳細をご覧ください。
[ 閉じる ]